#!/bin/bash

sleep 5

theme="com.github.Melawy.Melawy-round-gray.Nier-A2.desktop"

plasma-apply-lookandfeel -a "$theme" --resetLayout

if [ "$(whoami)" != "liveuser" ]; then
    sleep 5
    if [ -f "$HOME/.config/autostart/reset-layout.desktop" ]; then
        rm "$HOME/.config/autostart/reset-layout.desktop"
    fi
#     rm "$HOME/.local/bin/reset-layout.sh"
fi

sleep 1

normal_process=$(ps -eo pcpu,stat,comm | grep plasmashell | grep 'S<sl')

if [ -z "$normal_process" ]; then
    echo "Restart plasma-plasmashell"
    systemctl --user restart plasma-plasmashell
fi

sleep 1

notify-send -t 5000 -a "Theme is" "$theme" "$(date '+%Y.%m.%d %H:%M:%S')"

echo "Ready"
